Get article
curl --request GET \
--url https://api.quivo.co/v2/articles/{articleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/articles/{articleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/articles/{articleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/articles/{articleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/articles/{articleId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/articles/{articleId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/articles/{articleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sku": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"alternativeSkus": [
"<string>"
],
"name": {
"value": "<string>",
"language": "DE"
},
"articleType": "PRODUCT",
"barcode": "<string>",
"supplierReferenceNumber": "<string>",
"alternativeBarcodes": [
"<string>"
],
"grossWeight": {
"value": 123,
"unit": "KG"
},
"netWeight": {
"value": 123,
"unit": "KG"
},
"lotRequired": true,
"expirationDateRequired": true,
"serialNumberRequired": true,
"serialNumberPattern": "^[A-Z0-9]{8,12}$",
"canShipWithoutCarton": true,
"length": {
"value": 123,
"unit": "M"
},
"width": {
"value": 123,
"unit": "M"
},
"height": {
"value": 123,
"unit": "M"
},
"customsContentDescription": "<string>",
"manufacturerProductId": "ABC-1234-XL",
"cpsc": {
"filingType": "NOT_REGULATED",
"productId": "<string>",
"productIdType": "GTIN",
"certifierId": "<string>",
"certificateVersionId": "<string>",
"citations": "[\"16 CFR 1500\"]",
"manufactureDate": "2023-11-07T05:31:56Z",
"manufacturer": {
"name": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"country": "AF",
"email": "<string>",
"phone": "<string>"
},
"lastTestDate": "2023-11-07T05:31:56Z",
"testingLaboratory": {
"name": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"country": "AF",
"email": "<string>",
"phone": "<string>"
},
"recordsKeeper": {
"name": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"country": "AF",
"email": "<string>",
"phone": "<string>"
},
"disclaimCode": "A",
"intendedUseCode": "<string>"
},
"countryOfOrigin": "AF",
"salesPrice": {
"currencyCode": "<string>",
"value": 123
},
"insuranceValue": {
"currencyCode": "<string>",
"value": 123
},
"customsValue": {
"currencyCode": "<string>",
"value": 123
},
"unNumber": "<string>",
"customAttributes": "{\"attr1\":\"val1\"}",
"itemGroup": "<string>",
"lottableBatchRequired": true,
"alternativeNames": [
{
"value": "<string>",
"language": "DE"
}
],
"tariffNumber": "<string>",
"alternativeSalesPrices": [
{
"currencyCode": "<string>",
"value": 123
}
],
"alternativeInsuranceValues": [
{
"currencyCode": "<string>",
"value": 123
}
],
"alternativeCustomsValues": [
{
"currencyCode": "<string>",
"value": 123
}
],
"packagingUnits": [
{
"type": "PALLET",
"barcode": "<string>",
"piecesPerPackagingUnit": 123,
"grossWeight": {
"value": 123,
"unit": "KG"
},
"netWeight": {
"value": 123,
"unit": "KG"
},
"length": {
"value": 123,
"unit": "M"
},
"width": {
"value": 123,
"unit": "M"
},
"height": {
"value": 123,
"unit": "M"
}
}
],
"lotNumberPriorities": {},
"minimumQuantities": [
{
"warehouseId": 123,
"quantity": 123,
"calculationMode": "<string>"
}
],
"minimumExpirationDates": [
{
"notifyDaysBeforeExpiration": 2,
"warehouseId": 123
}
],
"minimumShelfLives": [
{
"minimumShelfLife": 2,
"warehouseId": 123
}
],
"dummyExpirationDate": "2023-11-07T05:31:56Z",
"dummyLotNumber": "<string>",
"id": 123,
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"errors": [
{
"code": "<string>",
"description": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"description": "<string>"
}
],
"sellerId": 123,
"articleIdentifier": "<string>",
"images": [
{
"source": "<string>",
"id": "<string>",
"url": {
"link": "<string>"
},
"packagingUnit": {
"type": "PALLET",
"barcode": "<string>",
"piecesPerPackagingUnit": 123,
"grossWeight": {
"value": 123,
"unit": "KG"
},
"netWeight": {
"value": 123,
"unit": "KG"
},
"length": {
"value": 123,
"unit": "M"
},
"width": {
"value": 123,
"unit": "M"
},
"height": {
"value": 123,
"unit": "M"
}
}
}
],
"lengthM": 123,
"widthM": 123,
"heightM": 123,
"grossWeightKG": 123,
"netWeightKG": 123,
"tags": [
"<string>"
],
"items": {
"total": {
"available": 123,
"reserved": 123,
"inbound": 123,
"blocked": 123,
"total": 123,
"movementAt": "2023-11-07T05:31:56Z"
},
"updatedAt": "2023-11-07T05:31:56Z",
"inventories": [
{
"available": 123,
"reserved": 123,
"inbound": 123,
"blocked": 123,
"total": 123,
"movementAt": "2023-11-07T05:31:56Z",
"warehouseId": 123,
"itemId": 123
}
]
}
}articles
Get article
Get single article by its unique identifier.
GET
/
articles
/
{articleId}
Get article
curl --request GET \
--url https://api.quivo.co/v2/articles/{articleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/articles/{articleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/articles/{articleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/articles/{articleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/articles/{articleId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/articles/{articleId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/articles/{articleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sku": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"alternativeSkus": [
"<string>"
],
"name": {
"value": "<string>",
"language": "DE"
},
"articleType": "PRODUCT",
"barcode": "<string>",
"supplierReferenceNumber": "<string>",
"alternativeBarcodes": [
"<string>"
],
"grossWeight": {
"value": 123,
"unit": "KG"
},
"netWeight": {
"value": 123,
"unit": "KG"
},
"lotRequired": true,
"expirationDateRequired": true,
"serialNumberRequired": true,
"serialNumberPattern": "^[A-Z0-9]{8,12}$",
"canShipWithoutCarton": true,
"length": {
"value": 123,
"unit": "M"
},
"width": {
"value": 123,
"unit": "M"
},
"height": {
"value": 123,
"unit": "M"
},
"customsContentDescription": "<string>",
"manufacturerProductId": "ABC-1234-XL",
"cpsc": {
"filingType": "NOT_REGULATED",
"productId": "<string>",
"productIdType": "GTIN",
"certifierId": "<string>",
"certificateVersionId": "<string>",
"citations": "[\"16 CFR 1500\"]",
"manufactureDate": "2023-11-07T05:31:56Z",
"manufacturer": {
"name": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"country": "AF",
"email": "<string>",
"phone": "<string>"
},
"lastTestDate": "2023-11-07T05:31:56Z",
"testingLaboratory": {
"name": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"country": "AF",
"email": "<string>",
"phone": "<string>"
},
"recordsKeeper": {
"name": "<string>",
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"country": "AF",
"email": "<string>",
"phone": "<string>"
},
"disclaimCode": "A",
"intendedUseCode": "<string>"
},
"countryOfOrigin": "AF",
"salesPrice": {
"currencyCode": "<string>",
"value": 123
},
"insuranceValue": {
"currencyCode": "<string>",
"value": 123
},
"customsValue": {
"currencyCode": "<string>",
"value": 123
},
"unNumber": "<string>",
"customAttributes": "{\"attr1\":\"val1\"}",
"itemGroup": "<string>",
"lottableBatchRequired": true,
"alternativeNames": [
{
"value": "<string>",
"language": "DE"
}
],
"tariffNumber": "<string>",
"alternativeSalesPrices": [
{
"currencyCode": "<string>",
"value": 123
}
],
"alternativeInsuranceValues": [
{
"currencyCode": "<string>",
"value": 123
}
],
"alternativeCustomsValues": [
{
"currencyCode": "<string>",
"value": 123
}
],
"packagingUnits": [
{
"type": "PALLET",
"barcode": "<string>",
"piecesPerPackagingUnit": 123,
"grossWeight": {
"value": 123,
"unit": "KG"
},
"netWeight": {
"value": 123,
"unit": "KG"
},
"length": {
"value": 123,
"unit": "M"
},
"width": {
"value": 123,
"unit": "M"
},
"height": {
"value": 123,
"unit": "M"
}
}
],
"lotNumberPriorities": {},
"minimumQuantities": [
{
"warehouseId": 123,
"quantity": 123,
"calculationMode": "<string>"
}
],
"minimumExpirationDates": [
{
"notifyDaysBeforeExpiration": 2,
"warehouseId": 123
}
],
"minimumShelfLives": [
{
"minimumShelfLife": 2,
"warehouseId": 123
}
],
"dummyExpirationDate": "2023-11-07T05:31:56Z",
"dummyLotNumber": "<string>",
"id": 123,
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"errors": [
{
"code": "<string>",
"description": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"description": "<string>"
}
],
"sellerId": 123,
"articleIdentifier": "<string>",
"images": [
{
"source": "<string>",
"id": "<string>",
"url": {
"link": "<string>"
},
"packagingUnit": {
"type": "PALLET",
"barcode": "<string>",
"piecesPerPackagingUnit": 123,
"grossWeight": {
"value": 123,
"unit": "KG"
},
"netWeight": {
"value": 123,
"unit": "KG"
},
"length": {
"value": 123,
"unit": "M"
},
"width": {
"value": 123,
"unit": "M"
},
"height": {
"value": 123,
"unit": "M"
}
}
}
],
"lengthM": 123,
"widthM": 123,
"heightM": 123,
"grossWeightKG": 123,
"netWeightKG": 123,
"tags": [
"<string>"
],
"items": {
"total": {
"available": 123,
"reserved": 123,
"inbound": 123,
"blocked": 123,
"total": 123,
"movementAt": "2023-11-07T05:31:56Z"
},
"updatedAt": "2023-11-07T05:31:56Z",
"inventories": [
{
"available": 123,
"reserved": 123,
"inbound": 123,
"blocked": 123,
"total": 123,
"movementAt": "2023-11-07T05:31:56Z",
"warehouseId": 123,
"itemId": 123
}
]
}
}Authorizations
Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.
Path Parameters
Response
Returns the ArticleGetDetail matching the specified identifier.
Detailed article (product/SKU) information returned from API responses. Contains complete product details including identifiers, descriptions, dimensions, weight, pricing, images, and configuration settings.
Country code or name
Available options:
AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BV, BR, IO, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KP, KR, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SK, SI, SB, SO, ZA, GS, ES, LK, SD, SR, SJ, CW, BQ, SX, SZ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW